<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="BAD_REFLEX.html"><font color="#008000">BAD_REFLEX</font></a>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Facility, but it's not in prototype spirit."</font>;

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conditional.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">if</font></strong> cond:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <strong><font color="#0000FF">then</font></strong> true_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">if</font></strong> cond:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <strong><font color="#0000FF">then</font></strong> true_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">else</font></strong> false_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Loop.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">while</font></strong> cond:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">do</font></strong> body:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">do</font></strong> body:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">while</font></strong> cond:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">repeat</font></strong> body:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">until</font></strong> cond:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
   
</body>
</html>
 